Bug 530088 - Please add Maven depmap fragments to geronimo-specs
Summary: Please add Maven depmap fragments to geronimo-specs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: geronimo-specs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fernando Nasser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 14:05 UTC by Mary Ellen Foster
Modified: 2010-12-04 07:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:25:23 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2009-10-21 14:05:14 UTC
Description of problem:
I'm currently trying to build a package (logback, if it's relevant) that uses Maven, and it includes the following in its pom.xml:
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jms_1.1_spec</artifactId>
        <version>1.0</version>
      </dependency>    

I do have geronimo-specs installed, and it does include /usr/share/java/geronimo/spec-jms-1.1.jar (which is probably the file that's wanted), but since there's no Maven depmap content I can't build this package with mvn-jpp (the offline version of Maven, needed for building Fedora packages).

Version-Release number of selected component (if applicable):
geronimo-specs-1.0-2.M2.fc10.x86_64

Comment 1 Mary Ellen Foster 2009-10-21 14:35:52 UTC
At least for me, updating to the (much newer) package from jpackage fixed the issue:
    http://jpackage.org/browser/rpm.php?jppversion=5.0&id=7845
Maybe those updates could be imported into Fedora?

Comment 2 Bug Zapper 2009-11-16 13:57:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Mary Ellen Foster 2009-12-03 11:00:53 UTC
I'd like to add the necessary Maven metadata myself, using provenpackager access. If you don't want me to do this, please let me know before Saturday 5 December.

Comment 4 Bug Zapper 2010-11-04 09:19:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-04 07:25:23 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.